'''此类会在插件被启用时自动加入ProjectSetting，用来播放特效。
	所有的特效组件，都会被放置于VFX Layer之下，且被添加入ReedVFX这个组
'''
@tool
class_name ReedVFXLayer
extends CanvasLayer

func _enter_tree() -> void:
	_add_to_vfx_group()

func _add_to_vfx_group() -> void:
	if not is_in_group("ReedVFX"):
		add_to_group("ReedVFX")
